// NeoPixel Ring simple sketch (c) 2013 Shae Erisson
// released under the GPLv3 license to match the rest of the AdaFruit NeoPixel library

#include <Adafruit_NeoPixel.h>
//#ifdef __AVR__
//  #include <avr/power.h>
//#endif

// Which pin on the trinket M0 is connected to the NeoPixels
#define PIN            1

// How many NeoPixels are attached to the trinket M0
#define NUMPIXELS      3

// When we set up the NeoPixel library, we tell it how many pixels, and which pin to use to send signals.
Adafruit_NeoPixel pixels = Adafruit_NeoPixel(NUMPIXELS, PIN, NEO_GRB + NEO_KHZ800);
int sensorPin = 4;              // pin connected to the pressure sensor after the 20k resistor
int sensorValue = 0;            // variable to store the value coming from the sensor
int thresholdUp = 600; //no pressure on sensor
int thresholdOk = 300;  //meduim pressure on sensor
int thresholdDown = 20;//full pressure on sensor
int delayval = 500; // delay for half a second so we can expand code and don't have to change each number

void setup() {
  /* This is for Trinket 5V 16MHz, you can remove these three lines if you are not using a Trinket
#if defined (__AVR_ATtiny85__)
  if (F_CPU == 16000000) clock_prescale_set(clock_div_1);
#endif
  // End of trinket special code
*/
  pixels.begin(); // This initializes the NeoPixel library.
}

void loop() {

  // For a set of NeoPixels the first NeoPixel is 0, second is 1, all the way up to the count of pixels minus one.

 sensorValue = analogRead(sensorPin);
 if (sensorValue <= thresholdDown && sensorValue > thresholdOk){
  for(int i=0;i<NUMPIXELS;i++){

    // pixels.Color takes RGB values, from 0,0,0 up to 255,255,255
    pixels.setPixelColor(i, pixels.Color(0,150,0)); // Moderately bright green color.

    pixels.show(); // This sends the updated pixel color to the hardware.

    delay(delayval); // Delay for a period of time (in milliseconds).
  }
// if heavy pressure to medium pressure is read, 

 } else if (sensorValue < thresholdOk && sensorValue > thresholdUp){
      for(int i=0;i<NUMPIXELS;i++){

    // pixels.Color takes RGB values, from 0,0,0 up to 255,255,255
    pixels.setPixelColor(i, pixels.Color(150,0,0)); // Moderately bright red color.

    pixels.show(); // This sends the updated pixel color to the hardware.

    delay(delayval); // Delay for a period of time (in milliseconds).
  }
} else if (sensorValue >= thresholdUp){
for(int i=0;i<NUMPIXELS;i++){

    // pixels.Color takes RGB values, from 0,0,0 up to 255,255,255
    pixels.setPixelColor(i, pixels.Color(0,0,250)); // Moderately bright blue color.

    pixels.show(); // This sends the updated pixel color to the hardware.

    delay(delayval); // Delay for a period of time (in milliseconds).
  }
}  
}

